# kernel_blacklist – Blacklist kernel modules

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Add or remove kernel modules from blacklist.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
blacklist_file - |  | If specified, use this blacklist file instead of `/etc/modprobe.d/blacklist-ansible.conf`.
name - / required |  | Name of kernel module to black- or whitelist.

state
-

Choices:
- absent
- present ←

Whether the module should be present in the blacklist or absent.

## Examples

    - name: Blacklist the nouveau driver module
      kernel_blacklist:
        name: nouveau
        state: present

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matthias Vogelgesang (@matze)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.